#include <iostream>

using namespace std;

int main()
{
    int n,m,i,j,br;
    br=0;
    cin>>n>>m;
    for(i=1;i<=n;i++)
    {
        for(j=1;j<=m;j++)
        {
            if(i+j%2==1)
            {
                br++;
            }
        }
    }
    cout<<br;
    return 0;
}